Bulk update that updates all the accesspoints with valid update field values and return a list of errors

PUT /users/accesspoints/bulk

Operation id: AccesspointService_UpdateAccesspoints

Description

Permission Level: Read-Write

Tags: AccesspointService

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
bssidstringNo
tenantIdstringNo
accesspointsarrayNo
{
  "type": "object",
  "properties": {
    "bssid": {
      "type": "string"
    },
    "tenantId": {
      "type": "string"
    },
    "accesspoints": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "assetName": {
            "type": "string"
          },
          "displayName": {
            "type": "string"
          }
        }
      }
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

{
  "type": "object",
  "properties": {}
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}